Updates the body of a message, but does not (re)submit the message.
| Name | Description | Additional information |
|---|---|---|
| messageId | No documentation available. |
Define this parameter in the request URI. |
| messageRepresentation | MessageRepresentation containing the new body to set |
Define this parameter in the request body. |
{
"messageId": "3428d57c-788b-456b-b715-4ad220847d29",
"tenantId": "79df0617-9a36-406c-8059-5aba999195a7",
"messageTypeId": "71ba9541-2125-4ad6-a25f-63f30204ad37",
"messageTypeLookupKey": "sample string 4",
"userId": "4ca22286-ef93-48a0-9fc4-778aef0f196d",
"userGroupId": "5ff71086-b8ee-4477-a331-cab702a4c307",
"deviceId": "80beff6b-ef29-46af-b8a4-e0b9674a7b12",
"deviceGroupId": "e10e6994-7a16-4699-95bf-ffc2efa3356e",
"applicationId": "bc72eec8-b04b-4d44-aa16-ff99ec61fa00",
"applicationVersionId": "f9a6dcf8-ce46-4e02-89bf-1081ef02a89c",
"senderSessionId": "sample string 5",
"senderSessionSequence": 1,
"senderCorrelationId": "sample string 6",
"senderGroup": "sample string 7",
"senderNote": "sample string 8",
"body": "sample string 9",
"storeEncryptedPassword": true,
"storeHashedPassword": true,
"messageAuditId": "cb74b8d2-6da5-458b-8473-448c04b334ed",
"messageAuditMessageAuditTypeId": "51c37408-4d0e-43f4-b2ab-a1ec0e0f19b4",
"messageAuditMessageAuditTypeName": "sample string 14",
"messageAuditMessageAuditTypeLookupKey": "sample string 15",
"messageAuditText": "sample string 16",
"messageAuditCreatedDateUtc": "2026-11-13T23:59:50.1570897+00:00",
"messageAuditUpdatedDateUtc": "2026-11-13T23:59:50.1570897+00:00",
"cyanId": 18,
"messageAuditCyanId": 1,
"resubmitCount": 19,
"createdDateUtc": "2026-11-13T23:59:50.1570897+00:00",
"updatedDateUtc": "2026-11-13T23:59:50.1570897+00:00"
}
<MessageRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1"> <CreatedDateUtc>2026-11-13T23:59:50.1570897+00:00</CreatedDateUtc> <UpdatedDateUtc>2026-11-13T23:59:50.1570897+00:00</UpdatedDateUtc> <ApplicationId>bc72eec8-b04b-4d44-aa16-ff99ec61fa00</ApplicationId> <ApplicationVersionId>f9a6dcf8-ce46-4e02-89bf-1081ef02a89c</ApplicationVersionId> <Body>sample string 9</Body> <CyanId>18</CyanId> <DeviceGroupId>e10e6994-7a16-4699-95bf-ffc2efa3356e</DeviceGroupId> <DeviceId>80beff6b-ef29-46af-b8a4-e0b9674a7b12</DeviceId> <MessageAuditCreatedDateUtc>2026-11-13T23:59:50.1570897+00:00</MessageAuditCreatedDateUtc> <MessageAuditCyanId>1</MessageAuditCyanId> <MessageAuditId>cb74b8d2-6da5-458b-8473-448c04b334ed</MessageAuditId> <MessageAuditMessageAuditTypeId>51c37408-4d0e-43f4-b2ab-a1ec0e0f19b4</MessageAuditMessageAuditTypeId> <MessageAuditMessageAuditTypeLookupKey>sample string 15</MessageAuditMessageAuditTypeLookupKey> <MessageAuditMessageAuditTypeName>sample string 14</MessageAuditMessageAuditTypeName> <MessageAuditText>sample string 16</MessageAuditText> <MessageAuditUpdatedDateUtc>2026-11-13T23:59:50.1570897+00:00</MessageAuditUpdatedDateUtc> <MessageId>3428d57c-788b-456b-b715-4ad220847d29</MessageId> <MessageTypeId>71ba9541-2125-4ad6-a25f-63f30204ad37</MessageTypeId> <MessageTypeLookupKey>sample string 4</MessageTypeLookupKey> <ResubmitCount>19</ResubmitCount> <SenderCorrelationId>sample string 6</SenderCorrelationId> <SenderGroup>sample string 7</SenderGroup> <SenderNote>sample string 8</SenderNote> <SenderSessionId>sample string 5</SenderSessionId> <SenderSessionSequence>1</SenderSessionSequence> <StoreEncryptedPassword>true</StoreEncryptedPassword> <StoreHashedPassword>true</StoreHashedPassword> <TenantId>79df0617-9a36-406c-8059-5aba999195a7</TenantId> <UserGroupId>5ff71086-b8ee-4477-a331-cab702a4c307</UserGroupId> <UserId>4ca22286-ef93-48a0-9fc4-778aef0f196d</UserId> </MessageRepresentation>
Sample not available.